/*CSS syntax 
  
  selector{
	
	property: value;
  }


*/




/* * - universal selector. it is able to select all the elements in an HTML
page 
font-family property allows us to determine the font of the text. The value 
"Courier New" becomes the default font for our elements. monospace is the 
secondary font or the fallback font, which means if the font "Courier New"
is not installed or cannot be found, we will fallback to use a font
similar to "Courier New".

font-size property allows us to change the size of the font.font-size 

*/
*{
	/*default font for all elements*/
	font-family: "Courier New", monospace;
    font size: 20px;
}

html {
	scroll-behavior: smooth;
	/*scroll behavior changes the scrolling when navigating within the page */
}
body{
	background-color: skyblue;
}

/**/
a:hover{
	background-color: #b46de;
}
nav > div {

	display: inline-block;
	float:  right;
}
h1 {
	/*!important will make the property a priority.*/
	color: black !important;
    font-size: 2rem;
	/*rem - root element, rem is measurement based  on the font size of the root element. 

	Default font size 16px. The root element is the html tag.*/
text-align: center;
}
/*id-selector allows us to select the element with a particular id. This selector is the
highest priority*/

section{
	height: 100vh;
	text-align: center;
}
/*in CCS, you can select the id by adding # before the name of the id*/
<h3
{
	font-size: 50px;
}
h2{
	font-size: 1.5rem;

}
ol{
	/*removes list style from our list items*/
	list-style: none;
}

#zuitt-motto {
	letter-spacing: 5px;
	font-size: 30px;
}

/*class-selector allows to select element/elements with the same class.	 In CSS, by adding.
before the name of the class.

An element can have both an Id and a class, however declarations for the id is given more priority
over class.
*/
<li{
	text-transform: lowercase;
}
.offering-item{
	/*text- transform allows to determine the case of an element*/
   text-transform: uppercase;
   font-size:  20px;
   letter-spacing: 20px;
}
/*attribute selector allows to select elements with the same tag and attribute
tag[attribute]
*/
input[required]{
	/*border - width properly allows us to chanve the thickness of element's
      border.
      border-style properly allows us to change the style of the border.
     




	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}
/*adjacement sibling selector. This allows us to select the sibling element directly after 
the first selector.

first selector + adjustment sibling 

The selectors doesn't have to be type it could be a class, id etc.


*/
 h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*descendant selector


allows us to select elements which are descendants of the first selector 

first selector (ancestor)<space> second selector(descendant)
*/

#bootcamp-learning-list li{
    /*#075966 as a value to color : This is a hex value. This is a hexadecimal 
    value and it consists of the pound sign #*/

	color:  #075966;
}
/*General sibling selector - this will allow us to select siblings after our first selector
 selector ~ selector */
h2 ~ a{
	/*text decoration property change lines included in text (ex.
	overline, udnerlines, or strikethrough). By default, anchor tags have underline.*/
 text-decoration: none;
}


/*
  Child Selecter 
  selector (Parent) > Selector (child)

*/

body > section > form > label{
	/* rgb () can be accepted as a value of properties that change colors.
	RGB values refer to red, green and blue. And the combinations of these 
	values form 0-225 determines the color */
	color: rgb(0,0,128);
}
form{	
	text-align: center;
	background-color: white;
	border:  2px solid black;
    height: 185px;
    width: 25vw;
    /*viewpoint width is a measurement based on a percentage of the width of the screen
    we are viewing our page from*/
    position: relative;
    left: 37.25%;
}
button {
	color:  white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px	;
}
